Bug 63491 - vga16/serial console conflict
vga16/serial console conflict
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-14 16:08 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-02 20:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix: apply on top of grub-0.91-vga16.patch (2.27 KB, patch)
2002-04-14 16:11 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2002-04-14 16:08:03 EDT
Description of Problem:

If splashimage is specified and a serial console is selected, all output 
goes to vga16 screen instead of serial console.

Version-Release number of selected component (if applicable): 

0.91

How Reproducible:

Every time

Steps to Reproduce:

 splashimage=<whatever>
 terminal --timeout=5 serial console

Configure grub as above, then reboot.

Actual Results:

After 5 second timeout, serial console is selected, but menu is drawn on 
vga16 screen.  Input is accepted from serial console.

Expected Results:

Menu should be displayed on serial console.  If no splashimage is used 
(display="text"), serial console works fine.

Additional Information:
	
Patch available at

ftp://ftp.visi.com/users/grante/grub/grub-0.91-vga16-serial.patch

(patch applies on top of grub-0.91-vga16.patch)
Comment 1 Need Real Name 2002-04-14 16:11:58 EDT
Created attachment 53790 [details]
fix: apply on top of grub-0.91-vga16.patch
Comment 2 Erik van Konijnenburg 2002-05-02 20:10:08 EDT
This also happened on my skipjack-beta2, (which has grub-0.91-3),
so it's not machine specific.  Thanks for pointing out the connection
with the splash screen; haven't tested the patch.
Comment 3 Jeremy Katz 2002-05-03 17:21:59 EDT
Patch will be in grub-0.92-2

Note You need to log in before you can comment on or make changes to this bug.